package com.tutego.insel.inner;

class HouseRoomChair
{
  String s = "House";

  class Room
  {
    String s = "Room";

    class Chair
    {
      String s = "Chair";

      void out()
      {
        System.out.println( s );
        System.out.println( this.s );
        System.out.println( Chair.this.s );
        System.out.println( Room.this.s );
        System.out.println( HouseRoomChair.this.s );
      }
    }
  }
  
  public static void main( String[] args )
  {
    new HouseRoomChair().new Room().new Chair().out();
  }
}

